Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit.html
Class HtmlRichMessageRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.ajax4jsf.renderkit.RendererBase
              org.ajax4jsf.renderkit.HeaderResourcesRendererBase
                  org.richfaces.renderkit.RichMessageBaseRenderer
                      org.richfaces.renderkit.html.HtmlRichMessageRenderer

All Implemented Interfaces:
  org.ajax4jsf.renderkit.ChameleonRenderer, org.ajax4jsf.renderkit.HeaderResourceProducer, org.ajax4jsf.resource.ResourceProduser

    public class HtmlRichMessageRenderer

extends RichMessageBaseRenderer

Author:
  Anton Belevich

Field Summary

Fields inherited from class org.richfaces.renderkit.RichMessageBaseRenderer
`COMPONENT_NOT_FOUND_IN_VIEW_WARN_MESSAGE, log, NULL_PARAMETER_ERROR_MESSAGE`

Fields inherited from class org.ajax4jsf.renderkit.RendererBase
`JAVASCRIPT_NAMESPACE`

Constructor Summary
`HtmlRichMessageRenderer()`

Method Summary
`protected void` | `doEncodeEnd(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`protected void` | `encodingUIContent(UIRichMessage uiMsg, javax.faces.context.FacesContext context, javax.faces.application.FacesMessage facesMsg)`
`protected java.lang.Class` | `getComponentClass()`
`protected org.ajax4jsf.resource.InternetResource[]` | `getStyles()`
`void` | `renderLabelHtml(javax.faces.component.UIComponent component, javax.faces.context.FacesContext context, javax.faces.context.ResponseWriter writer, javax.faces.application.FacesMessage facesMsg, java.lang.String labelClass, java.lang.String labelStyle, java.lang.String passLabel)`
`void` | `renderMarkerHtml(javax.faces.component.UIComponent component, javax.faces.component.UIComponent marker, javax.faces.context.FacesContext context, javax.faces.context.ResponseWriter writer, java.lang.String markerClass, java.lang.String markerStyle)`
`void` | `renderOuterStyles(javax.faces.component.UIComponent component, javax.faces.context.FacesContext context, javax.faces.context.ResponseWriter writer, java.lang.String outerStyle, java.lang.String outerClass)`

Methods inherited from class org.richfaces.renderkit.RichMessageBaseRenderer
`findComponentBelow, findForComponent, getMessageIterator, outerStyles, renderLabel, renderMarkerFacet`

Methods inherited from class org.ajax4jsf.renderkit.HeaderResourcesRendererBase
`encodeResourcesArray, getHeaderScripts, getHeaderStyles, getScripts, preEncodeBegin`

Methods inherited from class org.ajax4jsf.renderkit.RendererBase
`addResource, decode, doDecode, doEncodeBegin, doEncodeChildren, encodeBegin, encodeChildren, encodeEnd, getResource, getSkin, getUtils, preDecode, renderChild, renderChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlRichMessageRenderer

    public HtmlRichMessageRenderer()

Method Detail

### getStyles

    protected org.ajax4jsf.resource.InternetResource[] getStyles()

  Overrides:
    `getStyles` in class `org.ajax4jsf.renderkit.HeaderResourcesRendererBase`

### doEncodeEnd

    protected void doEncodeEnd(javax.faces.context.ResponseWriter writer,
                               javax.faces.context.FacesContext context,
                               javax.faces.component.UIComponent component)
                        throws java.io.IOException

  Overrides:
    `doEncodeEnd` in class `org.ajax4jsf.renderkit.RendererBase`
  Throws:
    `java.io.IOException`

### encodingUIContent

    protected void encodingUIContent(UIRichMessage uiMsg,
                                     javax.faces.context.FacesContext context,
                                     javax.faces.application.FacesMessage facesMsg)
                              throws java.io.IOException

  Throws:
    `java.io.IOException`

### renderOuterStyles

    public void renderOuterStyles(javax.faces.component.UIComponent component,
                                  javax.faces.context.FacesContext context,
                                  javax.faces.context.ResponseWriter writer,
                                  java.lang.String outerStyle,
                                  java.lang.String outerClass)
                           throws java.io.IOException

  Specified by:
    `renderOuterStyles` in class `RichMessageBaseRenderer`
  Throws:
    `java.io.IOException`

### renderMarkerHtml

    public void renderMarkerHtml(javax.faces.component.UIComponent component,
                                 javax.faces.component.UIComponent marker,
                                 javax.faces.context.FacesContext context,
                                 javax.faces.context.ResponseWriter writer,
                                 java.lang.String markerClass,
                                 java.lang.String markerStyle)
                          throws java.io.IOException

  Specified by:
    `renderMarkerHtml` in class `RichMessageBaseRenderer`
  Throws:
    `java.io.IOException`

### renderLabelHtml

    public void renderLabelHtml(javax.faces.component.UIComponent component,
                                javax.faces.context.FacesContext context,
                                javax.faces.context.ResponseWriter writer,
                                javax.faces.application.FacesMessage facesMsg,
                                java.lang.String labelClass,
                                java.lang.String labelStyle,
                                java.lang.String passLabel)
                         throws java.io.IOException

  Specified by:
    `renderLabelHtml` in class `RichMessageBaseRenderer`
  Throws:
    `java.io.IOException`

### getComponentClass

    protected java.lang.Class getComponentClass()

  Specified by:
    `getComponentClass` in class `org.ajax4jsf.renderkit.RendererBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.